Creates a new db_info_data object
Request Information
URI Parameters :
None.
Body Parameters :
db_info_data| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier | |
| target_id |
Foreign key of the object using his Wello Guid Primary Key |
globally unique identifier |
Optionally required : target_id or target_code must be provided |
| target_code |
Foreign key of the object using ERP PK when adding/updating db_info_data |
string |
Optionally required : target_id or target_code must be provided |
| db_table_id |
Foreign key to the table that own the "target_id" (Example:article,company,project) using Guid |
globally unique identifier |
Optionally required : db_table_id or db_table_name must be provided |
| db_table_name |
Foreign key to the table that own the "target_id" (Example:article,company,project) using table name |
string |
Optionally required : db_table_id or db_table_name must be provided |
| db_info_field_id | globally unique identifier |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field_name | string |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| db_info_field | db_info_field |
Optionally required : db_info_field_id, db_info_field_name or db_info_field must be provided |
|
| value |
The value of this info fields for this targetId. Follow the formating rules (API / HELP / Info Fields) |
string |
Required |
| reference_back_office |
The Id/Ref of the back office for this object |
string |
Max length: 50 |
| sys_logical_delete |
sys_logical_delete |
boolean | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Request Formats :
application/json, text/json
{
"id": "7ef4245c-64c1-4d15-aae9-87572133869f",
"target_id": "a4ec3419-7007-4e55-9243-03193a1314eb",
"target_code": "sample string 3",
"db_table_id": "ff89c419-a6b4-4be1-b54a-64e8cafd64ce",
"db_table_name": "sample string 5",
"db_info_field_id": "0e5e2012-65f1-4eac-910b-22bd3e683293",
"db_info_field_name": "sample string 7",
"value": "sample string 8",
"reference_back_office": "sample string 9",
"sys_logical_delete": true,
"modified_dateutc": "2026-05-25T00:53:44.1256442+00:00"
}
Response Information
Resource Description :
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample not available.